WeblogicTOPLinkDeploymentTool (Apache Ant API)
Date: 2018-03-24

org.apache.tools.ant.taskdefs.optional.ejb

## Class WeblogicTOPLinkDeploymentTool

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.ejb.GenericDeploymentTool
  - - org.apache.tools.ant.taskdefs.optional.ejb.WeblogicDeploymentTool
    - - org.apache.tools.ant.taskdefs.optional.ejb.WeblogicTOPLinkDeploymentTool

- All Implemented Interfaces:
    EJBDeploymentTool

      public class WeblogicTOPLinkDeploymentTool
      extends WeblogicDeploymentTool

  Deployment tool for Weblogic TOPLink.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.taskdefs.optional.ejb.WeblogicDeploymentTool

      `COMPILER_EJB11, COMPILER_EJB20, DEFAULT_COMPILER, DEFAULT_WL51_DTD_LOCATION, DEFAULT_WL51_EJB11_DTD_LOCATION, DEFAULT_WL60_51_DTD_LOCATION, DEFAULT_WL60_DTD_LOCATION, DEFAULT_WL60_EJB11_DTD_LOCATION, DEFAULT_WL60_EJB20_DTD_LOCATION, DEFAULT_WL70_DTD_LOCATION, PUBLICID_EJB11, PUBLICID_EJB20, PUBLICID_WEBLOGIC_EJB510, PUBLICID_WEBLOGIC_EJB600, PUBLICID_WEBLOGIC_EJB700, WL_CMP_DD, WL_DD`

    - ### Fields inherited from class org.apache.tools.ant.taskdefs.optional.ejb.GenericDeploymentTool

      `ANALYZER_CLASS_FULL, ANALYZER_CLASS_SUPER, ANALYZER_FULL, ANALYZER_NONE, ANALYZER_SUPER, DEFAULT_ANALYZER, DEFAULT_BUFFER_SIZE, EJB_DD, JAR_COMPRESS_LEVEL, MANIFEST, META_DIR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WeblogicTOPLinkDeploymentTool()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addVendorFiles(java.util.Hashtable<java.lang.String,java.io.File> ejbFiles, java.lang.String ddPrefix)` Add any vendor specific files which should be included in the EJB Jar.
    `protected DescriptorHandler` | `getDescriptorHandler(java.io.File srcDir)` Get the descriptor handler.
    `void` | `setToplinkdescriptor(java.lang.String inString)` Setter used to store the name of the toplink descriptor.
    `void` | `setToplinkdtd(java.lang.String inString)` Setter used to store the location of the toplink DTD file.
    `void` | `validateConfigured()` Called to validate that the tool parameters have been configured.

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.ejb.WeblogicDeploymentTool

      `addSysproperty, createWLClasspath, getClassLoaderFromJar, getEjbcClass, getJvmDebugLevel, getWeblogicDescriptorHandler, isRebuildRequired, registerKnownDTDs, setArgs, setCompiler, setEjbcClass, setEJBdtd, setJvmargs, setJvmDebugLevel, setKeepgenerated, setKeepgeneric, setNewCMP, setNoEJBC, setOldCMP, setOutputDir, setRebuild, setSuffix, setWeblogicdtd, setWLClasspath, setWLdtd, writeJar`

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.ejb.GenericDeploymentTool

      `addFileToJar, addSupportClasses, checkAndAddDependants, checkConfiguration, configure, createClasspath, getClassLoaderForBuild, getCombinedClasspath, getConfig, getDestDir, getJarBaseName, getLocation, getManifestFile, getPublicId, getTask, getVendorDDPrefix, log, needToRebuild, parseEjbFiles, processDescriptor, setClasspath, setDestdir, setGenericJarSuffix, setTask, usingBaseJarName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WeblogicTOPLinkDeploymentTool

          public WeblogicTOPLinkDeploymentTool()

  - ### Method Detail

    - #### setToplinkdescriptor

          public void setToplinkdescriptor(java.lang.String inString)

      Setter used to store the name of the toplink descriptor.
      Parameters:
        `inString` - the string to use as the descriptor name.

    - #### setToplinkdtd

          public void setToplinkdtd(java.lang.String inString)

      Setter used to store the location of the toplink DTD file. This is expected to be an URL (file or otherwise). If running this on NT using a file URL, the safest thing would be to not use a drive spec in the URL and make sure the file resides on the drive that ANT is running from. This will keep the setting in the build XML platform independent.
      Parameters:
        `inString` - the string to use as the DTD location.

    - #### getDescriptorHandler

          protected DescriptorHandler getDescriptorHandler(java.io.File srcDir)

      Get the descriptor handler.
      Overrides:
        `getDescriptorHandler` in class `GenericDeploymentTool`
      Parameters:
        `srcDir` - the source file.
      Returns:
        the descriptor handler.

    - #### addVendorFiles

          protected void addVendorFiles(java.util.Hashtable<java.lang.String,java.io.File> ejbFiles,
                                        java.lang.String ddPrefix)

      Add any vendor specific files which should be included in the EJB Jar.
      Overrides:
        `addVendorFiles` in class `WeblogicDeploymentTool`
      Parameters:
        `ejbFiles` - the hashtable to add files to.
        `ddPrefix` - the prefix to use.

    - #### validateConfigured

          public void validateConfigured()
                                  throws BuildException

      Called to validate that the tool parameters have been configured.
      Specified by:
        `validateConfigured` in interface `EJBDeploymentTool`
      Overrides:
        `validateConfigured` in class `WeblogicDeploymentTool`
      Throws:
        `BuildException` - if there is an error.